playMaker

Author Topic: Problem using cloud build [SOLVED]  (Read 2888 times)

willemvanleunen

  • Playmaker Newbie
  • *
  • Posts: 5
    • View Profile
Problem using cloud build [SOLVED]
« on: September 17, 2015, 09:22:00 AM »
Hi,

It seems everything works fine, but Unity Cloud Build throws me some errors that seem Playmaker related. I'm really stuck on this, I can't find where I go wrong?

No Library cache found - ALL assets will be re-imported.
[Unity] Initialize engine version: 4.6.8f1 (583461196f73)
[Unity] -----CompilerOutput:-stdout--exitcode: 1--compilationhadfailure: True--outfile: Temp/Assembly-CSharp.dll
[Unity] Unhandled Exception: Mono.CSharp.InternalErrorException: Assets/PlayMaker/Actions/ActivateGameObject.cs(9,22): HutongGames.PlayMaker.Actions.ActivateGameObject.ActivateGameObject() ---> System.TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] Internal compiler error. See the console log for more information. output was:
[Unity] Unhandled Exception: Mono.CSharp.InternalErrorException: Assets/PlayMaker/Actions/ActivateGameObject.cs(9,22): HutongGames.PlayMaker.Actions.ActivateGameObject.ActivateGameObject() ---> System.TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] Scripts have compiler errors.
[Unity] Scripts have compiler errors.
[Unity] Initialize engine version: 4.6.8f1 (583461196f73)

Hope somebody can help me in the right direction. Love Playmaker!
Willem
« Last Edit: February 10, 2016, 03:05:38 PM by Alex Chouls »

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 12351
  • Official Playmaker Support
    • View Profile
Re: Problem using cloud build
« Reply #1 on: September 17, 2015, 09:47:33 AM »
Hi,

 What's the platform target?

Bye,

 Jean

willemvanleunen

  • Playmaker Newbie
  • *
  • Posts: 5
    • View Profile
Re: Problem using cloud build
« Reply #2 on: September 18, 2015, 02:44:57 AM »
Hi Jean,
Platform is iOS, but I get more or less the same issue when I'm using cloud build to build the Android app, or for web.

willemvanleunen

  • Playmaker Newbie
  • *
  • Posts: 5
    • View Profile
Re: Problem using cloud build
« Reply #3 on: September 19, 2015, 05:49:37 AM »
Do you think it is something basic that I can figure out myself? Or is it more complicated?

willemvanleunen

  • Playmaker Newbie
  • *
  • Posts: 5
    • View Profile
Re: Problem using cloud build
« Reply #4 on: September 19, 2015, 06:22:49 AM »
Now I get this:

Summary: 66 warnings, 13 errors:

[Unity] Initialize engine version: 4.6.8f1 (583461196f73)
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'FX Quest'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMakerEditor'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMakerEditor'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMakerEditor'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMakerEditor'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMakerEditor'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMakerEditor'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMakerEditor'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMakerEditor'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMakerEditor'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMakerEditor'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMakerEditor'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMakerEditor'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMakerEditor'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMakerEditor'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMakerEditor'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] -----CompilerOutput:-stdout--exitcode: 1--compilationhadfailure: True--outfile: Temp/Assembly-CSharp.dll
[Unity] Unhandled Exception: Mono.CSharp.InternalErrorException: Assets/PlayMaker/Actions/ActivateGameObject.cs(9,22): HutongGames.PlayMaker.Actions.ActivateGameObject.ActivateGameObject() ---> System.TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] Internal compiler error. See the console log for more information. output was:
[Unity] Unhandled Exception: Mono.CSharp.InternalErrorException: Assets/PlayMaker/Actions/ActivateGameObject.cs(9,22): HutongGames.PlayMaker.Actions.ActivateGameObject.ActivateGameObject() ---> System.TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] Scripts have compiler errors.
[Unity] Scripts have compiler errors.
[Unity] Initialize engine version: 4.6.8f1 (583461196f73)
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'FX Quest'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMakerEditor'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMakerEditor'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMakerEditor'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMakerEditor'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMakerEditor'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMakerEditor'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMakerEditor'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMakerEditor'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMakerEditor'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMakerEditor'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMakerEditor'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMakerEditor'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMakerEditor'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMakerEditor'.
[Unity] TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMakerEditor'.
[Unity] -----CompilerOutput:-stdout--exitcode: 1--compilationhadfailure: True--outfile: Temp/Assembly-CSharp.dll
[Unity] Unhandled Exception: Mono.CSharp.InternalErrorException: Assets/PlayMaker/Actions/ActivateGameObject.cs(9,22): HutongGames.PlayMaker.Actions.ActivateGameObject.ActivateGameObject() ---> System.TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] Internal compiler error. See the console log for more information. output was:
[Unity] Unhandled Exception: Mono.CSharp.InternalErrorException: Assets/PlayMaker/Actions/ActivateGameObject.cs(9,22): HutongGames.PlayMaker.Actions.ActivateGameObject.ActivateGameObject() ---> System.TypeLoadException: Could not load type 'UnityEngine.UnityAPICompatibilityVersionAttribute' from assembly 'PlayMaker'.
[Unity] Scripts have compiler errors.
[Unity] Scripts have compiler errors.
! build of 'default-ios' failed. compile failed

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 12351
  • Official Playmaker Support
    • View Profile
Re: Problem using cloud build
« Reply #5 on: September 20, 2015, 10:42:15 PM »
Hi,

 I am planning a day sometime this week to test cloud builds. I'll keep you updated

But by the look of it, you have several issues mixed up, like the log mentions "FX Quest", which likely from the asset store right? This is the first exception, so I would first build an empty project with just PlayMaker or just Fx Quest and adding more stuff everytime build is succesful.


Bye,

 Jean

willemvanleunen

  • Playmaker Newbie
  • *
  • Posts: 5
    • View Profile
Re: Problem using cloud build
« Reply #6 on: September 21, 2015, 05:49:16 AM »
Hi Jean, Thank you!

I'm further with the testing now. It turned out not to be a problem with Playmaker, but with some of the settings in Unity Cloud Build. I changed some of the settings and now it works. One of the settings is a standard setting UCB assigned to the version of the Unity Editor. By default thats set to 4.x, now I set it to 5.x.
Among that, there were some minor tweaks.

Thank you for your support :)

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 12351
  • Official Playmaker Support
    • View Profile
Re: Problem using cloud build
« Reply #7 on: September 21, 2015, 06:26:10 AM »
Hi,

 ah good, so we are ok? publishing on cloud works right?

 Bye,

 Jean